Bug 1761345 - kuryrnet handler makes kuryr-controller to restart frequently
Summary: kuryrnet handler makes kuryr-controller to restart frequently
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2.z
Assignee: Luis Tomas Bolivar
QA Contact: Jon Uriarte
URL:
Whiteboard:
Depends On: 1761344
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-14 08:34 UTC by Luis Tomas Bolivar
Modified: 2019-10-30 04:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1761344
Environment:
Last Closed: 2019-10-30 04:44:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 352 0 None None None 2019-10-18 08:32:45 UTC
Red Hat Product Errata RHBA-2019:3151 0 None None None 2019-10-30 04:45:11 UTC

Description Luis Tomas Bolivar 2019-10-14 08:34:59 UTC
+++ This bug was initially created as a clone of Bug #1761344 +++

When enabling kuryrnet handler, the kuryr pools are pre-populated for each newly created namespace. This increases the load on neutron side during spikes of namespaces creation. In turns, that makes the creation of those ports slower, as well as the deletion of namespaces and its associated neutron resources (in this case the ports of their associated pools). And finally, this leads to timeouts on kuryr-controller waiting for the namespace resources to be cleaned up

Comment 2 Jon Uriarte 2019-10-24 14:30:47 UTC
Verified on OCP 4.2.0-0.nightly-2019-10-23-033305 build on top of OSP 13 2019-10-16.2 puddle.

release image: registry.svc.ci.openshift.org/ocp/release@sha256:9408af4d970a3839c68b9429a7aa1eccc7a4bb1f522c3693062d747cb72c378d

kuryrnet handler is not enabled:
$ oc -n openshift-kuryr get cm kuryr-config -o yaml | grep handler
    enabled_handlers = vif,lb,lbaasspec,policy,pod_label,namespace,kuryrnetpolicy

$ oc -n openshift-kuryr get cm kuryr-config -o yaml | grep annotation
    vif_annotation_timeout = 500

$ oc -n openshift-kuryr get deploy kuryr-controller -o yaml | grep failure                                                                                             
          failureThreshold: 10
          failureThreshold: 10

Comment 4 errata-xmlrpc 2019-10-30 04:44:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3151


Note You need to log in before you can comment on or make changes to this bug.